itpp::Data_Event< ObjectType, DataType > Class Template Reference
Protocols Module

An Event class that executes a function with some data as input when the event expires. More...

`#include <itpp/protocol/events.h>`

Inheritance diagram for itpp::Data_Event< ObjectType, DataType >:

## Public Member Functions

| Data_Event (ObjectType *object_pointer, void(ObjectType::*object_function_pointer)(DataType data), DataType data, const Ttype delta_time)
| Construct an Event to expire delta_time from now by calling the function (*object_pointer.*object_function_pointer)(data)
virtual | ~Data_Event ()
| Destructor.
virtual void | exec (void)
| Execute (call) the assigned function with user data.
void | cancel ()
| Cancel an event.

## Protected Attributes

Ttype | delta_t
| ADD DOCUMENTATION HERE.
Ttype | expire_t
| ADD DOCUMENTATION HERE.
bool | active
| ADD DOCUMENTATION HERE.
unsigned long long int | id
| ADD DOCUMENTATION HERE.

## Static Protected Attributes

static unsigned long long int | global_id = 0
| ADD DOCUMENTATION HERE.

## Detailed Description

### template<class ObjectType, class DataType>
class itpp::Data_Event< ObjectType, DataType >

An Event class that executes a function with some data as input when the event expires.

Since Events are objects you need supply both a pointer to the object and the function pointer to create the Event

Definition at line 189 of file events.h.

The documentation for this class was generated from the following file:

- itpp/protocol/events.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13